- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::ResourceBackgroundQueue::QueuedNotification Struct Reference

Struct that holds details of queued notifications. More...

`#include <OgreResourceBackgroundQueue.h>`

List of all members.

## Public Member Functions
| QueuedNotification (Resource *r)
| QueuedNotification (Listener *l, BackgroundProcessTicket t)
## Public Attributes
Resource * | resource
Listener * | opListener
BackgroundProcessTicket | ticket

## Detailed Description

Struct that holds details of queued notifications.

Definition at line 159 of file OgreResourceBackgroundQueue.h.

## Constructor & Destructor Documentation

Ogre::ResourceBackgroundQueue::QueuedNotification::QueuedNotification | ( | Resource * | r | ) |

Definition at line 161 of file OgreResourceBackgroundQueue.h.

Ogre::ResourceBackgroundQueue::QueuedNotification::QueuedNotification | ( | Listener * | l,
|  | BackgroundProcessTicket | t |
| ) |  |  |

Definition at line 165 of file OgreResourceBackgroundQueue.h.

## Member Data Documentation

Resource* Ogre::ResourceBackgroundQueue::QueuedNotification::resource

Definition at line 170 of file OgreResourceBackgroundQueue.h.

Listener* Ogre::ResourceBackgroundQueue::QueuedNotification::opListener

Definition at line 172 of file OgreResourceBackgroundQueue.h.

BackgroundProcessTicket Ogre::ResourceBackgroundQueue::QueuedNotification::ticket

Definition at line 173 of file OgreResourceBackgroundQueue.h.

The documentation for this struct was generated from the following file:

- OgreResourceBackgroundQueue.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:52:29 2008